javax.security.auth.message.callback

## Class PrivateKeyCallback.SubjectKeyIDRequest

- java.lang.Object
- - javax.security.auth.message.callback.PrivateKeyCallback.SubjectKeyIDRequest

- All Implemented Interfaces:
    PrivateKeyCallback.Request
  Enclosing class:
    PrivateKeyCallback

      public static class PrivateKeyCallback.SubjectKeyIDRequest
      extends java.lang.Object
      implements PrivateKeyCallback.Request

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyCallback.SubjectKeyIDRequest(byte[] subjectKeyID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getSubjectKeyID()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivateKeyCallback.SubjectKeyIDRequest

          public PrivateKeyCallback.SubjectKeyIDRequest(byte[] subjectKeyID)

  - ### Method Detail

    - #### getSubjectKeyID

          public byte[] getSubjectKeyID()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.